Package com.plannaplan.repositories

# Interface LecturerRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<Lecturer,​java.lang.Long>`, `org.springframework.data.jpa.repository.JpaRepository<Lecturer,​java.lang.Long>`, `org.springframework.data.repository.PagingAndSortingRepository<Lecturer,​java.lang.Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<Lecturer>`, `org.springframework.data.repository.Repository<Lecturer,​java.lang.Long>`

    @Repository
    public interface LecturerRepository
    extends org.springframework.data.jpa.repository.JpaRepository<Lecturer,​java.lang.Long>

LecturerRepository.find: Return list of: SELECT * FROM Lecturer WHERE title = i AND name = j AND surname = k. Where i, j, k, ?1, ?2, ?3 are equale to variables.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.Optional<Lecturer>` | `find​(java.lang.String title, java.lang.String name, java.lang.String surname)` |

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getOne, saveAll, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findOne`

## Method Details

### find

@Query("FROM Lecturer WHERE title = ?1 AND name = ?2 AND surname = ?3") java.util.Optional<Lecturer> find​(@Param("title") java.lang.String title, @Param("name") java.lang.String name, @Param("surname") java.lang.String surname)